import { z } from "zod"

export const shopTypeFormSchema = z.object({
    title: z.string().min(1, "Title is required").max(50, "Title cannot exceed 50 characters"),
    shop_type: z.string().min(1, "Shop type is required"),
    note: z.string().min(1, "Note is required").max(255, "Note cannot exceed 255 characters"),
    is_default: z.boolean().optional(),
    inspection: z.any().optional(),
    image: z.any().optional(),
})

export type ShopTypeFormValues = {
    title: string
    shop_type?: string
    note?: string
    is_default?: boolean
    inspection?: File | null
    image?: File | null
}
